Skip to content

Returns a package from the system by its ID.

Request

This method will look up a package by the specified ID and return it back.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the package to return.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

consistentReadstring

Indicates the API should force a consistent read on the data source.

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/packages/{tenantId}/{id}?fields=string&consistentRead=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The package was retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

auto_renew_by_defaultboolean(Auto Renew By Default)

If set, when this membership is created it will be set to auto renewal by default

available_tostring(Available To)

DEPRECATED - No longer supported, do not use

Enum:"both""new members""renewing members"
bill_organizationboolean(Bill Organization)

If set, the organization should be billed for this package

bulk_pricing_rulesArray of objects, non-emptyrequired
bundled_productsArray of objects, non-emptyrequired
bundled_products_inventory_handlingstring(Bundled Products Inventory Handling)

Whether to track inventory for the entire bundle, or for each product separately

Enum:"bundle""each product"
business_unit_idstring(Business Unit)required

The business unit of the product

cancellation_feenumber, (double)(Cancellation Fee)

Cancellation fees associated with this product

chapter_configurationobject(Chapter Configuration)required

Allows you to override chapter configuration

commerce_entitlements_to_createArray of objects
coupon_codesArray of objects, non-emptyrequired
custom_field_valuesArray of objects(Custom Field Values)
custom_pricing_optionsobject(Custom Pricing Options)required
descriptionstring(Description)

Description for the portal/online store

display_in_portal_asstring(Display In Portal As)

Override the portal display

display_ordernumber, (float)(Display Order)
document_entitlements_to_createArray of objects
does_not_receive_member_benefitsboolean(Does Not Receive Member Benefits)

If true, buying this package gives you member benefits

dues_prorationobject(Dues Proration)required
enable_bulk_pricingboolean(Enable Bulk Pricing)

Whether or not bulk pricing is enabled

enable_bundled_productsboolean(Enable Bundled Products)

Whether to enable bundled products

enable_cancellation_feesboolean(Enable Cancellation Fees)

Whether or not cancellation fees are applicable

enable_commerce_entitlement_creationboolean(Enable Commerce Entitlement Creation)

If set, document entitlements will be created to access folders or documents

enable_coupon_code_generationboolean(Enable Coupon Code Generation)

If true, purchasing this product will generate coupons

enable_custom_pricingboolean(Enable Custom Pricing)

If set, the order engine will call out to a custom lambda function for custom/complex pricing

enable_document_entitlement_creationboolean(Enable Document Entitlement Creation)

If set, document entitlements will be created to access folders or documents

enable_dues_prorationboolean(Enable Dues Proration)

Enable dues proration

enable_product_confirmation_emailboolean(Enable Product Confirmation Email)

If enabled, a custom email goes out whenever this product is ordered

enable_purchase_limitsboolean(Enable Purchase Limits)

If true, purchase limits are in place for this product

enable_purchasing_eligibilityboolean(Enable Purchasing Eligibility)

If set, purchases of this merchandise are restricted

enable_special_pricesboolean(Enable Special Prices)

Whether to enable special pricing logic

enable_task_generationboolean(Enable Task Generation)

If set, tasks will be generated

expiration_optionsobject(Expiration Options)
foreign_currency_pricesArray of objects
hide_from_online_storeboolean(Hide From Online Store)

If true, this package is not available in the online store

hide_from_portalboolean(Hide From Portal)

If set, this product should not be shown in the portal

idstring(ID)^[\w:|-]+$required

The unique, string identifier of this miscellaneous product

installment_plan_optionsArray of objects, non-emptyrequired
is_activeboolean(Is Active)

Whether this product is active/used

member_pricenumber, (double)(Member Price)

The price of the product for an active member

membership_type_idstring(Membership Type)required

The membership type this package is tied to

namestring(Name)required

The name of the miscellaneous product

notesstring(Notes)

Notes

organizational_membership_optionsobject(Organizational Membership Options)
override_chapter_configurationboolean(Override Chapter Configuration)

Whether or not the chapter configuration is overridden

override_section_configurationboolean(Override Section Configuration)

Whether or not the section configuration is overridden

portal_optionsobject(Portal Options)
pricenumber, (double)(Price)required

The price of the product

product_confirmation_email_optionsobject(Product Confirmation Email Options)required
product_tags_to_show_at_checkoutArray of strings(Product Tags To Show At Checkout)

NOT USED - DEPRECATED

publish_to_portalboolean(Publish To Portal)

Whether or not this product should be available in the portal

purchase_limitsobject(Purchase Limits)required
purchasing_eligibility_criteriaobject(Purchasing Eligibility Criteria)
renews_with_idstring(Renews With)

The package that thiscc package should renew with - if null, the package renews with itself

section_configurationobject(Section Configuration)required

Allows you to override section configuration

special_pricesArray of objects, non-emptyrequired
suggest_donationsArray of objects

Allows you to suggestion donating to specific fundraising products upon checkout

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

tasks_to_generateArray of objects
typestring(Type)

The product type

Value:"membership-packages"
update_dates_whenstring(Update Dates When)
Enum:"immediately""invoice paid in full""never"
Response
{ "allow_customer_to_choose_installment_plan": true, "auto_renew_by_default": true, "available_to": "both", "bill_organization": true, "bulk_pricing_rules": [ { … } ], "bundled_products": [ { … } ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "chapter_configuration": { "auto_assignment": "assign", "maximum_number_of_chapters_a_member_can_join": 1, "members_are_required_to_join_a_chapter": true, "mode": "optional single chapter", "portal_restrictions": "members cannot change chapters" }, "commerce_entitlements_to_create": [ { … } ], "coupon_codes": [ { … } ], "custom_field_values": [ { … } ], "custom_pricing_options": { "lambda_function_id": "string" }, "description": "string", "display_in_portal_as": "string", "display_order": 0.1, "document_entitlements_to_create": [ { … } ], "does_not_receive_member_benefits": true, "dues_proration": { "applies_to": "both", "april": 0.1, "august": 0.1, "december": 0.1, "february": 0.1, "january": 0.1, "july": 0.1, "june": 0.1, "march": 0.1, "may": 0.1, "november": 0.1, "october": 0.1, "september": 0.1 }, "enable_bulk_pricing": true, "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_commerce_entitlement_creation": true, "enable_coupon_code_generation": true, "enable_custom_pricing": true, "enable_document_entitlement_creation": true, "enable_dues_proration": true, "enable_product_confirmation_email": true, "enable_purchase_limits": true, "enable_purchasing_eligibility": true, "enable_special_prices": true, "enable_task_generation": true, "expiration_options": { "allow_reinstatement": true, "anniversary_expiration_options": { … }, "calendar_expiration_options": { … }, "expiration_type": "anniversary", "grace_period": 0.1, "reinstatement_options": { … } }, "foreign_currency_prices": [ { … } ], "hide_from_online_store": true, "hide_from_portal": true, "id": "string", "installment_plan_options": [ { … } ], "is_active": true, "member_price": 0.1, "membership_type_id": "string", "name": "string", "notes": "string", "organizational_membership_options": { "additional_contact_purchasing_info": { … }, "allow_for_purchase_of_additional_contacts": true, "maximum_number_of_contacts": 0.1 }, "override_chapter_configuration": true, "override_section_configuration": true, "portal_options": { "available_from": "2019-08-24T14:15:22Z", "available_until": "2019-08-24T14:15:22Z" }, "price": 0.1, "product_confirmation_email_options": { "product_confirmation_email_id": "string", "product_specific_email": { … }, "type": "product specific" }, "product_tags_to_show_at_checkout": [ "string" ], "publish_to_portal": true, "purchase_limits": { "error_message": "string", "maximum": 0.1, "relative_time_window": { … }, "time_period": "all time", "type": "per customer" }, "purchasing_eligibility_criteria": {}, "renews_with_id": "string", "section_configuration": { "portal_restrictions": "members cannot change sections" }, "special_prices": [ { … } ], "suggest_donations": [ { … } ], "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "tasks_to_generate": [ { … } ], "type": "membership-packages", "update_dates_when": "immediately" }